## pyopengl 3.0.1~b2

=== debian/changelog ===
pyopengl (3.0.1~b2-1) unstable; urgency=low

  * New upstream release
  * Converted to source format "3.0 (quilt)"
  * debian/control
    - Bumped standards version to 3.8.3, no changes necessary
    - Build-depend on python instead of python-dev
    - Drop build dependency on cdbs
    - Drop dependency on python-ctypes, package has been removed
  * debian/rules
    - Switch to dh instead of cdbs

 -- Torsten Marek <shlomme@debian.org>  Tue, 26 Jan 2010 20:34:51 +0100

pyopengl (3.0.0~c1-1) unstable; urgency=low

  * New upstream release (Closes: #498403)
  * debian/compat
    - bumped debhelper compatibility level to 7
  * debian/control, debian/rules
    - Switched to python-support
    - bumped standards version to 3.8.1, no changes necessary
    - removed python-opengl-doc, documentation is not distributed anymore
      by upstream.
    - removed build dependency on python-setuptools and run-time
      dependency on python-pkg-resource, not needed anymore
    - dropped build dependencies on all GL libraries, not needed anymore
      because documentation is removed
    - removed dependencies on dpatch
  * debian/preinst
    - make sure pycentral files are removed properly
  * debian/patches/00list
    - deactivated patches

 -- Torsten Marek <shlomme@debian.org>  Fri, 27 Mar 2009 15:11:57 +0100

pyopengl (3.0.0~b6-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Bump XS-Python-Version to >=2.4 (decorators issue, Closes: #505769)

 -- Torsten Marek <shlomme@debian.org>  Thu, 27 Nov 2008 01:00:32 +0100

pyopengl (3.0.0~b6-2) testing-proposed-updates; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Torsten Marek ]
  * Upload to testing-proposed-updates

 -- Torsten Marek <shlomme@debian.org>  Wed, 12 Nov 2008 18:26:48 +0100

pyopengl (3.0.0~b6-1) unstable; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Thu, 23 Oct 2008 15:01:58 +0200

pyopengl (3.0.0~b5-1) experimental; urgency=low

  [Torsten Marek]
  * New upstream release
  * debian/patches
   - removed 02_test_fix.dpatch, not needed anymore

  [Andrea Gasparini]
  * debian/rules
    - Use dynamic pyversion for building docs.Don't use hardcoded
      python2.5

 -- Torsten Marek <shlomme@debian.org>  Tue, 12 Aug 2008 08:17:07 +0200

pyopengl (3.0.0~b3-1) unstable; urgency=low

  * New upstream release (Closes: #454988)
  * debian/control
    - update standard version to 3.8.0, no changes necessary
    - change dependency on python-ctypes to
      python-ctypes | python (>= 2.5) (Closes: #485594)
    - only build-depend on python-dev, not python-all-dev
  * Handle missing Togl module gracefully,
    do not break the Python help system (Closes: #455896)

 -- Torsten Marek <shlomme@debian.org>  Tue, 01 Jul 2008 17:25:00 +0200

pyopengl (3.0.0~b1-2) unstable; urgency=low

  * debian/rules
    - remove special renaming of *.egg-info directory, is now
      handled by python-central (Closes: #472042).
  * debian/control
    - depend on python-central >= 0.6.0
  * debian/python-opengl-doc.doc-base
    - change section to Programming/Python

 -- Torsten Marek <shlomme@debian.org>  Fri, 21 Mar 2008 21:12:30 +0100

pyopengl (3.0.0~b1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Sandro Tosi ]
  * debian/watch
    - added file
  * debian/control
    - uniforming Vcs-Browser field

  [ Torsten Marek ]
  * New upstream release.
  * Added suggestion for libgle3
  * Updated standards version to 3.7.3, no changes necessary.
  * Added patch to remove setuptools-dependency on ctypes in setup.py
  * Replace dependency on python-setuptools with 
    python-pkg-resources. (Closes: #468718)
  * Documentation is not included in source package, is now
    created during package build. Added build-dependencies
    on GL (libgl1), GLU (libglu1), GLUT (freeglut3) and 
    GLE (libgle3) to make this possible. 

 -- Torsten Marek <shlomme@debian.org>  Sun, 02 Mar 2008 22:51:50 +0100

pyopengl (3.0.0~a6-4) unstable; urgency=low

  * Just suggest python-numpy, don't recommend it. (Closes: #435602)
  * Acknowledge historical NMU. (Closes: #373547)

 -- Torsten Marek <shlomme@debian.org>  Sun, 12 Aug 2007 14:06:11 +0200

pyopengl (3.0.0~a6-3) unstable; urgency=low

  * Promoted NumPy to a recommendation.
  * Added python-tk to suggests.
  * Depend on python-setuptools. (Closes: #435161)
	
 -- Torsten Marek <shlomme@debian.org>  Fri, 27 Jul 2007 19:34:06 +0200

pyopengl (3.0.0~a6-2) unstable; urgency=low

  * Upload to unstable.
  * Python 2.5 is supported now. (Closes: #430493)
  * Acknowledge older NMU fixes.
    Closes: #387930, #282896, #343207

 -- Torsten Marek <shlomme@debian.org>  Wed, 13 Jun 2007 22:44:55 +0200

pyopengl (3.0.0~a6-1) experimental; urgency=low

  * New upstream 3.0.0a6 (Closes: #412374)
  * Taken over package from Jamie Wilkinson. Thanks for the work!
  * Added python-opengl-doc package with documentation

 -- Torsten Marek <shlomme@debian.org>  Wed, 13 Jun 2007 21:31:45 +0200

pyopengl (2.0.1.09.dfsg.1-0.3) unstable; urgency=low

  * Porter NMU.
  * Add support for GNU/kFreeBSD (Closes: #345218).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 23:07:36 +0100

pyopengl (2.0.1.09.dfsg.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch directly in the source in order to avoid problems with
    -rsudo. (Closes: #396703)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri,  3 Nov 2006 06:50:38 +0100

pyopengl (2.0.1.09.dfsg.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version name for DFSG-free Debian version.  Note that this is
    the same upstream version as previously, but with the undistributable font
    removed and replaced with a symlink to Bitstream Vera Sans Italic.
    (Closes: 393730)
  * Bumped standards-version to 3.7.2, no changes required.
  * Removed dh_python, not longer necessary. 


