=== debian/watch ===
version=3

# bloody trick to identify only versions starting with a digit, removing the tilde from debian version
opts=dversionmangle=s/~//g \
http://sf.net/pyopengl/PyOpenGL-(\d.*)\.tar\.gz
