## pyopengl 3.0.1

=== debian/changelog ===
pyopengl (3.0.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #527342)
  * debian/watch
    - Update to use PyPI
  * debian/control, debian/rules
    - Switched to dh_python2.
    - Bumped standards version to 3.9.3, no changes necessary
  * debian/preinst, debian/pycompat, debian/pyversions
    - Drop files no longer necessary with switch to dh_python2.

 -- Arthur de Jong <adejong@debian.org>  Sat, 10 Mar 2012 17:59:51 +0100
