=== debian/control ===
Source: pyopengl
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>
Build-Depends: debhelper (>= 7.0.1), python (>= 2.6.6-3~)
Standards-Version: 3.9.3
Homepage: http://pyopengl.sourceforge.net
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyopengl/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/pyopengl/trunk/

Package: python-opengl
Architecture: all
Depends: ${python:Depends}, libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, freeglut3, ${misc:Depends}
Suggests: python-tk, python-numpy, libgle3
Description: Python bindings to OpenGL
 PyOpenGL is a cross-platform open source Python binding to the standard
 OpenGL API providing 2D and 3D graphic drawing. PyOpenGL supports the
 GL, GLU, GLE, and GLUT libraries. The library can be used with the Tkinter,
 wxPython, FxPy, and Win32GUI windowing libraries (or almost any Python
 windowing library which can provide an OpenGL context).
