## pyopengl 3.0.2

=== debian/changelog ===
pyopengl (3.0.2-1) unstable; urgency=low

  * Team upload
  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jackson Doak ]
  * New upstream release
  * debian/control:
    - Bump debhelper version to 9
    - Add X-Python-Version field
  * debian/compat: Set as 9

  [ Piotr Ożarowski ]
  * Add python-ctypes to python-opengl's Depends

  [ Roman Valov ]
  * debian/rules:
    - Switched to pybuild buildsystem.
    - Update to build python2 and python3 packages.
  * debian/control:
    - Bump standards-version to 3.9.5
    - Update to build python2 and python3 packages.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 17 Jan 2014 19:41:43 +0100
