=== debian/watch ===
version=3

# bloody trick to identify only versions starting with a digit, removing the tilde from debian version
opts=dversionmangle=s/~//g \
http://pypi.python.org/packages/source/P/PyOpenGL/PyOpenGL-([\d\.]*)\.tar\.gz
