## pyopengl 3.1.0+dfsg

=== debian/changelog ===
pyopengl (3.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Dmitry Smirnov ]
  * New upstream release (Closes: #764514, #703585).
  * Disabled tests (Closes: #802117).
  * Added "debian/gbp.conf".
  * watch/copyright: DFSG-repack to drop .dll files.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 May 2016 18:09:55 +1000
