=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all (>= 3.2), python3-setuptools
+# generateraw.py
+#    ,python-ctypeslib
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.5 
 X-Python3-Version: >= 3.2 
 Homepage: http://pyopengl.sourceforge.net
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyopengl/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyopengl/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyopengl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyopengl.git
 
 Package: python-opengl
 Architecture: all
