## pyopengl 3.1.5%2Bdfsg

=== debian/changelog ===
pyopengl (3.1.5+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 3.1.5+dfsg
  * d/patches
    - Removed 0001-renamed-modules-async-async_-for-python3.7-like-fedo.patch
      it was upstreamed.
  * Added the salsa-ci.yml file
  * Removed useless debian/gbp.conf
  * Python2-rm (Closes: #937498)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 12 Apr 2020 14:59:55 +0200

pyopengl (3.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Picca Frédéric-Emmanuel ]
  * d/patches
    + Added 0001-renamed-modules-async-async_-for-python3.7-like-fedo.patch
    (Closes: #903218)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 01 Aug 2018 10:39:40 +0200
