## pyopengl 3.1.5+dfsg

=== debian/control ===
Source: pyopengl
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libosmesa6 <!nocheck>,
               python3-all,
               python3-setuptools,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyopengl
Vcs-Git: https://salsa.debian.org/python-team/modules/pyopengl.git
Homepage: http://pyopengl.sourceforge.net

Package: python3-opengl
Architecture: all
Depends: freeglut3,
         libgl1-mesa-glx | libgl1,
         libglu1-mesa | libglu1,
         ${misc:Depends},
         ${python3:Depends}
Suggests: libgle3, python3-numpy, python3-tk
Description: Python bindings to OpenGL (Python 3)
 PyOpenGL is a cross-platform open source Python binding to the standard
 OpenGL API providing 2D and 3D graphic drawing. PyOpenGL supports the
 GL, GLU, GLE, and GLUT libraries. The library can be used with the Tkinter,
 wxPython, FxPy, and Win32GUI windowing libraries (or almost any Python
 windowing library which can provide an OpenGL context).
 .
 This is the Python 3 version of the package.
