## pyopengl 3.1.6%2Bdfsg

=== debian/changelog ===
pyopengl (3.1.6+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Eliminated lintian warnings
    - d/watch: no dversionmangle
    - d/copyright: short license empty
  * Bringing PR#93 to debian/patches to have tests/check_glutinit
    function on bookworm or newer.
  * Cleaning PKG-INFO file create during build.

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Feb 2023 23:23:04 +0000

pyopengl (3.1.6+dfsg-2) unstable; urgency=medium

  [ Sebastian Kuzminsky ]
  * Team upload.
  * Include a patch from Scott Talbert (Closes: #1029011).

 -- Scott Talbert <swt@techie.net>  Thu, 26 Jan 2023 18:26:28 -0500

pyopengl (3.1.6+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.6+dfsg
  * d/rules: Activated the unittest
  * Use secure URI in Homepage field.
  * Bug fix: "migrate to libglut3.12", thanks to Sebastian Ramacher
    (Closes: #1023548).
  * Added autopkgtests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 15 Nov 2022 13:51:09 +0100

pyopengl (3.1.5+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:39:28 +0100

pyopengl (3.1.5+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Jun 2022 23:57:45 -0400
