=== debian/tests/control ===
Test-Command: set -efu
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run --server-args="-screen 0 1024x768x24 -ac +extension GLX +render -noreset" $py -m pytest tests
 ; done
Depends:
 python3-all,
 python3-opengl,
 python3-pygame,
 python3-pytest,
 python3-tk,
 xauth,
 xvfb,
Restrictions: allow-stderr, skip-not-installable
