## pyopengl 3.1.6+dfsg

=== debian/changelog ===
pyopengl (3.1.6+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Bump standards version to 4.6.2 (no further changes required).

  [ Sebastian Ramacher ]
  * debian/control: Remove hard-coded dependency on libgl1-mesa-glx (Closes:
    #1051599)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Sep 2023 15:50:58 +0200
