## pyopengl 3.1.7+dfsg

=== debian/changelog ===
pyopengl (3.1.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * d/patches: All patches were upstreamed. so remove all of them.
  * d/control: B-D pybuild-plugin-pyproject
  * d/patches/0001-fix-Python3.12-tests.patch: Added to solved
    - Bug fix: "FTBFS: dh_auto_test: error: pybuild --test --test-pytest -i
      python{version} -p &quot;3.12 3.11&quot; returned exit code 13",
      thanks to Lucas Nussbaum (Closes: #1058308).
    - Bug fix: "pyopengl&#39;s autopkg tests fail with Python 3.12", thanks
      to Matthias Klose (Closes: #1056440).
  * Bug fix: "please run autopkg tests for all supported Python versions
    before stopping", thanks to Matthias Klose (Closes: #1060252).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 14 Jan 2024 15:31:59 +0100
