=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  dh-sequence-python3,
  libgl1,
  libglu1-mesa | libglu1,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pygame <!nocheck>,
  python3-pytest <!nocheck>,
@@ -21,6 +22,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyopengl
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyopengl.git
 Homepage: https://pyopengl.sourceforge.net
+Rules-Requires-Root: no
 
 Package: python3-opengl
 Architecture: all
