=== debian/tests/control ===
Tests: all-tests
Depends:
 python3-all,
 python3-opengl,
 python3-pygame,
 python3-pytest,
 python3-tk,
 xauth,
 xvfb,
Restrictions: allow-stderr, skip-not-installable
