=== debian/watch ===
version=4

opts=dversionmangle=auto,repacksuffix=+dfsg https://pypi.python.org/packages/source/P/PyOpenGL/PyOpenGL-([\d\.]*)\.tar\.gz
