## pyopengl 3.1.9+dfsg

=== debian/changelog ===
pyopengl (3.1.9+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Skip check_egl_platform_ext in case of PermissionError (LP: #2115791)
  * autopkgtest: use py3versions --supported instead of --requested

 -- Benjamin Drung <bdrung@debian.org>  Wed, 02 Jul 2025 17:07:34 +0200

pyopengl (3.1.9+dfsg-1.1) unstable; urgency=medium

  * Team upload.
  * Do not run test_test_glgetfloat_leak in autopkgtest as it fails in riscv64
    with python3-psutil 7 and prevents migration of it.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Apr 2025 15:08:48 +0200

pyopengl (3.1.9+dfsg-1) unstable; urgency=medium

  * s/watch: updated with the new sources filename
  * New upstream version 3.1.9+dfsg
  * d/p/*:
    - removed, already applyed by upstream
    - skip elg tests.
  * d/control: Added python3-psutil <!nocheck> for tests
  * d/control: Added libegl1
  * Bug fix: "FTBFS: FAILED
    tests/test_core.py::TestCore::test_glCallLists_twice2 -
    AssertionError: 0", thanks to Santiago Vila (Closes: #1099270).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 11 Mar 2025 09:17:29 +0100
