=== debian/control ===
--- 
+++ 
@@ -8,14 +8,18 @@
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
+ libegl1,
  libgl1,
  libglu1-mesa | libglu1,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-psutil <!nocheck>,
  python3-pygame <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytest-xvfb <!nocheck>,
  python3-setuptools,
  python3-tk <!nocheck>,
+ python3-xlib <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Standards-Version: 4.6.2
@@ -27,8 +31,10 @@
 Package: python3-opengl
 Architecture: all
 Depends:
+ libegl1,
  libgl1,
  libglu1-mesa | libglu1,
+ libglut3.12,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
