## pyopengl 3.1.10+dfsg

=== debian/changelog ===
pyopengl (3.1.10+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Update to new upstream release 3.1.10 (Closes: #1070493)
  * Re-enable build-time tests
  * Update Standards-Version to 4.7.2
  * Patch test to avoid packaging mmap-test-data.dat file
  * Fix upstream metadata

 -- Scott Talbert <swt@techie.net>  Mon, 25 Aug 2025 21:28:50 -0400
