=== debian/control ===
--- 
+++ 
@@ -10,7 +10,9 @@
  dh-sequence-python3,
  libegl1,
  libgl1,
+ libgles2,
  libglu1-mesa | libglu1,
+ libglut3.12,
  pybuild-plugin-pyproject,
  python3-all,
  python3-psutil <!nocheck>,
@@ -22,7 +24,7 @@
  python3-xlib <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyopengl
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyopengl.git
 Homepage: https://pyopengl.sourceforge.net
@@ -33,6 +35,7 @@
 Depends:
  libegl1,
  libgl1,
+ libgles2,
  libglu1-mesa | libglu1,
  libglut3.12,
  ${misc:Depends},
