=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=opengl

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	xvfb-run -a -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -f PyOpenGL.egg-info/PKG-INFO
