=== debian/tests/control ===
--- 
+++ 
@@ -11,4 +11,4 @@
  python3-xlib,
  xauth,
  xvfb,
-Restrictions: allow-stderr, skip-not-installable, flaky
+Restrictions: allow-stderr, skip-not-installable
