=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg,uversionmangle=s/(a|alpha|b|beta|c|dev|pre|rc)/~$1/ https://pypi.python.org/packages/source/P/PyOpenGL/ pyopengl-@ANY_VERSION@@ARCHIVE_EXT@
